Bug 192373 - AX: Support keyboard access preference for iOS in WebKit
Summary: AX: Support keyboard access preference for iOS in WebKit
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: Other
Hardware: All All
: P2 Normal
Assignee: chris fleizach
URL:
Keywords: InRadar
: 192479 (view as bug list)
Depends on:
Blocks: 192760
  Show dependency treegraph
 
Reported: 2018-12-04 12:55 PST by chris fleizach
Modified: 2018-12-17 11:23 PST (History)
9 users (show)

See Also:


Attachments
patch (4.42 KB, patch)
2018-12-04 17:50 PST, chris fleizach
thorton: review+
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-sierra (2.72 MB, application/zip)
2018-12-04 20:06 PST, Build Bot
no flags Details
Archive of layout-test-results from ews206 for win-future (12.79 MB, application/zip)
2018-12-04 20:24 PST, Build Bot
no flags Details
patch (19.75 KB, patch)
2018-12-05 14:58 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (19.74 KB, patch)
2018-12-05 15:01 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (19.63 KB, patch)
2018-12-05 15:09 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (17.96 KB, patch)
2018-12-05 16:18 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch for landing (17.96 KB, patch)
2018-12-05 17:58 PST, chris fleizach
commit-queue: commit-queue-
Details | Formatted Diff | Diff
patch for landing (18.90 KB, patch)
2018-12-06 16:48 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch for landing (18.46 KB, patch)
2018-12-07 00:09 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch for landing (18.97 KB, patch)
2018-12-07 00:26 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch for landing (19.29 KB, patch)
2018-12-07 07:33 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch for landing (49.65 KB, patch)
2018-12-07 13:52 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch for landing (49.31 KB, patch)
2018-12-07 15:57 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch for landing (51.00 KB, patch)
2018-12-07 16:46 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (17.94 KB, patch)
2018-12-10 11:44 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (20.47 KB, patch)
2018-12-10 13:02 PST, chris fleizach
commit-queue: commit-queue-
Details | Formatted Diff | Diff
patch (18.05 KB, patch)
2018-12-10 23:23 PST, chris fleizach
no flags Details | Formatted Diff | Diff
patch (18.00 KB, patch)
2018-12-16 14:34 PST, chris fleizach
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description chris fleizach 2018-12-04 12:55:28 PST
Support keyboard access preference for iOS in WebKit
Comment 1 Radar WebKit Bug Importer 2018-12-04 12:56:02 PST
<rdar://problem/46462670>
Comment 2 chris fleizach 2018-12-04 17:50:39 PST
Created attachment 356563 [details]
patch
Comment 3 Build Bot 2018-12-04 17:52:37 PST
Attachment 356563 [details] did not pass style-queue:


ERROR: Source/WebKit/UIProcess/mac/WKFullKeyboardAccessWatcher.mm:92:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 1 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Build Bot 2018-12-04 20:06:55 PST
Comment on attachment 356563 [details]
patch

Attachment 356563 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/10273023

New failing tests:
http/tests/misc/resource-timing-resolution.html
Comment 5 Build Bot 2018-12-04 20:06:56 PST
Created attachment 356573 [details]
Archive of layout-test-results from ews101 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 6 Build Bot 2018-12-04 20:24:00 PST
Comment on attachment 356563 [details]
patch

Attachment 356563 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/10273031

New failing tests:
http/tests/misc/resource-timing-resolution.html
Comment 7 Build Bot 2018-12-04 20:24:11 PST
Created attachment 356574 [details]
Archive of layout-test-results from ews206 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews206  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 8 Daniel Bates 2018-12-04 21:28:23 PST
Comment on attachment 356563 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=356563&action=review

Please update the copyright line in WKFullKeyboardAccessWatcher.mm as your proposed patch add at least 10 lines of code to it. This patch touches WebKit2 and requires a review from a WebKit2 Owner. I am not a WebKit2 Owner. 

> Source/WebKit/UIProcess/mac/WKFullKeyboardAccessWatcher.h:29
> +#if PLATFORM(MAC) || PLATFORM(IOS_FAMILY)

We should make use of the convenience macro PLATFORM(COCOA) instead of "PLATFORM(MAC) || PLATFORM(IOS_FAMILY)".

> Source/WebKit/UIProcess/mac/WKFullKeyboardAccessWatcher.h:40
> +#endif // PLATFORM(MAC) || PLATFORM(IOS_FAMILY)

If you take my suggestion above then we should update this comment.

> Source/WebKit/UIProcess/mac/WKFullKeyboardAccessWatcher.mm:29
> +#if PLATFORM(MAC) || PLATFORM(IOS_FAMILY)

We should make use of the convenience macro PLATFORM(COCOA) instead of "PLATFORM(MAC) || PLATFORM(IOS_FAMILY)".

> Source/WebKit/UIProcess/mac/WKFullKeyboardAccessWatcher.mm:35
>  NSString * const KeyboardUIModeDidChangeNotification = @"com.apple.KeyboardUIModeDidChange";
>  const CFStringRef AppleKeyboardUIMode = CFSTR("AppleKeyboardUIMode");

I know you didn't write this code. KeyboardUIModeDidChangeNotification should be annotated static so that it has internal linkage.

> Source/WebKit/UIProcess/mac/WKFullKeyboardAccessWatcher.mm:44
> +#elif PLATFORM(IOS_FAMILY)
> +#if __has_include(<AccessibilitySupport.h>)
> +#include <AccessibilitySupport.h>
> +#else
> +extern "C" {
> +    CFStringRef kAXSFullKeyboardAccessEnabledNotification;
> +    Boolean _AXSFullKeyboardAccessEnabled();
> +}
> +#endif

This file is meant to be Mac-only as indicated by its presence in Source/WebKit/UIProcess/mac. We should move this file and the associated header to Source/WebKit/UIProcess/cocoa to reflect that it now contains code for both Mac and iOS.

> Source/WebKit/UIProcess/mac/WKFullKeyboardAccessWatcher.mm:72
> +#elif PLATFORM(IOS_FAMILY) && __IPHONE_OS_VERSION_MIN_REQUIRED >= 130000
> +    fullKeyboardAccessEnabled = _AXSFullKeyboardAccessEnabled();
> +#endif

Preprocessor macros tend to distract and make reading the code less straightforward. For your consideration, I suggest extracting out all the code in lines 59-72 into a static, inline function called platformIsFullKeyboardAccessEnabled() that would have the form:

static inline BOOL platformIsFullKeyboardAccessEnabled()
{
#if PLATFORM(MAC)
...
#elif PLATFORM(IOS_FAMILY) && __IPHONE_OS_VERSION_MIN_REQUIRED >= 130000
...
#endif
}

Then we can replace lines 59-72 with:

fullKeyboardAccessEnabled =  platformIsFullKeyboardAccessEnabled();

> Source/WebKit/UIProcess/mac/WKFullKeyboardAccessWatcher.mm:93
> +#elif PLATFORM(IOS_FAMILY) && __IPHONE_OS_VERSION_MIN_REQUIRED >= 130000
> +    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(retrieveKeyboardUIModeFromPreferences:)
> +                                                 name:(NSString *)kAXSFullKeyboardAccessEnabledNotification object:nil];
> +#endif

This code is identical to the Mac code up to the name of the notification. Can we find a way to extract out just the notification name?
Comment 9 Tim Horton 2018-12-05 12:53:53 PST
Comment on attachment 356563 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=356563&action=review

Agree with Dan's other comments.

>> Source/WebKit/UIProcess/mac/WKFullKeyboardAccessWatcher.mm:44
>> +#endif
> 
> This file is meant to be Mac-only as indicated by its presence in Source/WebKit/UIProcess/mac. We should move this file and the associated header to Source/WebKit/UIProcess/cocoa to reflect that it now contains code for both Mac and iOS.

I just added a AccessibilitySupportSPI file, this should be there instead.
Comment 10 chris fleizach 2018-12-05 14:58:54 PST
Created attachment 356663 [details]
patch

patch for landing
Comment 11 Build Bot 2018-12-05 15:00:28 PST
Attachment 356663 [details] did not pass style-queue:


ERROR: Source/WebKit/Platform/spi/ios/AccessibilitySupportSPI.h:42:  _AXSFullKeyboardAccessEnabled is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKit/UIProcess/Cocoa/WKFullKeyboardAccessWatcher.h:26:  Use #pragma once instead of #ifndef for header guard.  [build/header_guard] [5]
Total errors found: 2 in 8 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 12 chris fleizach 2018-12-05 15:01:56 PST
Created attachment 356664 [details]
patch
Comment 13 Build Bot 2018-12-05 15:03:46 PST
Attachment 356664 [details] did not pass style-queue:


ERROR: Source/WebKit/Platform/spi/ios/AccessibilitySupportSPI.h:42:  _AXSFullKeyboardAccessEnabled is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKit/UIProcess/Cocoa/WKFullKeyboardAccessWatcher.h:26:  Use #pragma once instead of #ifndef for header guard.  [build/header_guard] [5]
Total errors found: 2 in 8 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 14 chris fleizach 2018-12-05 15:09:45 PST
Created attachment 356666 [details]
patch
Comment 15 Build Bot 2018-12-05 15:10:59 PST
Attachment 356666 [details] did not pass style-queue:


ERROR: Source/WebKit/Platform/spi/ios/AccessibilitySupportSPI.h:42:  _AXSFullKeyboardAccessEnabled is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Total errors found: 1 in 8 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 16 chris fleizach 2018-12-05 16:18:43 PST
Created attachment 356675 [details]
patch
Comment 17 Build Bot 2018-12-05 16:21:19 PST
Attachment 356675 [details] did not pass style-queue:


ERROR: Source/WebKit/Platform/spi/ios/AccessibilitySupportSPI.h:42:  _AXSFullKeyboardAccessEnabled is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Total errors found: 1 in 8 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 18 chris fleizach 2018-12-05 17:56:24 PST
failures all seem unrelated
Comment 19 chris fleizach 2018-12-05 17:58:42 PST
Created attachment 356688 [details]
patch for landing
Comment 20 Build Bot 2018-12-05 18:01:29 PST
Attachment 356688 [details] did not pass style-queue:


ERROR: Source/WebKit/Platform/spi/ios/AccessibilitySupportSPI.h:42:  _AXSFullKeyboardAccessEnabled is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Total errors found: 1 in 8 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 21 WebKit Commit Bot 2018-12-05 23:58:35 PST
Comment on attachment 356688 [details]
patch for landing

Rejecting attachment 356688 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'build', '--no-clean', '--no-update', '--build-style=release', '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 5000 characters of output:
SDKs/MacOSX10.12.sdk/System/Library/PrivateFrameworks -isystem /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/System.framework/PrivateHeaders -include /Volumes/Data/EWS/WebKit/WebKitBuild/PrecompiledHeaders/WebKit2Prefix-drlcjfjgwagogvepbndkemzgsldk/WebKit2Prefix.h -MMD -MT dependencies -MF /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39-mm.d --serialize-diagnostics /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39-mm.dia -c /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-sources/UnifiedSource39-mm.mm -o /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39-mm.o

** BUILD FAILED **


The following build commands failed:
	CompileC /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource28-mm.o /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-sources/UnifiedSource28-mm.mm normal x86_64 objective-c++ com.apple.compilers.llvm.clang.1_0.compiler
(1 failure)

Failed to run "['Tools/Scripts/build-webkit', '--release']" exit_code: 65
l-target-headers.hmap -iquote /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/WebKit-project-headers.hmap -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/include -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/usr/local/include -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/PrivateHeaders/ForwardingHeaders -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2 -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/usr/local/include/WebKitAdditions -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/usr/local/include/WebKitAdditions -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/usr/local/include/webrtc -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/usr/local/include/webrtc -I/Volumes/Data/EWS/WebKit/Source/WebKit -I/Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/DerivedSources/x86_64 -I/Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/DerivedSources -Wall -Wextra -Wcast-qual -Wchar-subscripts -Wextra-tokens -Wformat-security -Winit-self -Wmissing-format-attribute -Wmissing-noreturn -Wno-unused-parameter -Wpacked -Wpointer-arith -Wredundant-decls -Wundef -Wwrite-strings -Wexit-time-destructors -Wglobal-constructors -Wtautological-compare -Wimplicit-fallthrough -F/Volumes/Data/EWS/WebKit/WebKitBuild/Release -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/PrivateFrameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/ApplicationServices.framework/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/Carbon.framework/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/Quartz.framework/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/CoreServices.framework/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/PrivateFrameworks -isystem /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/System.framework/PrivateHeaders -include /Volumes/Data/EWS/WebKit/WebKitBuild/PrecompiledHeaders/WebKit2Prefix-drlcjfjgwagogvepbndkemzgsldk/WebKit2Prefix.h -MMD -MT dependencies -MF /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39-mm.d --serialize-diagnostics /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39-mm.dia -c /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-sources/UnifiedSource39-mm.mm -o /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39-mm.o

** BUILD FAILED **


The following build commands failed:
	CompileC /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource28-mm.o /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-sources/UnifiedSource28-mm.mm normal x86_64 objective-c++ com.apple.compilers.llvm.clang.1_0.compiler
(1 failure)

Full output: https://webkit-queues.webkit.org/results/10289378
Comment 22 WebKit Commit Bot 2018-12-06 10:33:34 PST
Comment on attachment 356688 [details]
patch for landing

Rejecting attachment 356688 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-02', 'build', '--no-clean', '--no-update', '--build-style=release', '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 5000 characters of output:
SDKs/MacOSX10.12.sdk/System/Library/PrivateFrameworks -isystem /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/System.framework/PrivateHeaders -include /Volumes/Data/EWS/WebKit/WebKitBuild/PrecompiledHeaders/WebKit2Prefix-drlcjfjgwagogvepbndkemzgsldk/WebKit2Prefix.h -MMD -MT dependencies -MF /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39-mm.d --serialize-diagnostics /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39-mm.dia -c /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-sources/UnifiedSource39-mm.mm -o /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39-mm.o

** BUILD FAILED **


The following build commands failed:
	CompileC /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource28-mm.o /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-sources/UnifiedSource28-mm.mm normal x86_64 objective-c++ com.apple.compilers.llvm.clang.1_0.compiler
(1 failure)

Failed to run "['Tools/Scripts/build-webkit', '--release']" exit_code: 65
l-target-headers.hmap -iquote /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/WebKit-project-headers.hmap -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/include -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/usr/local/include -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/PrivateHeaders/ForwardingHeaders -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2 -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/usr/local/include/WebKitAdditions -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/usr/local/include/WebKitAdditions -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/usr/local/include/webrtc -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/usr/local/include/webrtc -I/Volumes/Data/EWS/WebKit/Source/WebKit -I/Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/DerivedSources/x86_64 -I/Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/DerivedSources -Wall -Wextra -Wcast-qual -Wchar-subscripts -Wextra-tokens -Wformat-security -Winit-self -Wmissing-format-attribute -Wmissing-noreturn -Wno-unused-parameter -Wpacked -Wpointer-arith -Wredundant-decls -Wundef -Wwrite-strings -Wexit-time-destructors -Wglobal-constructors -Wtautological-compare -Wimplicit-fallthrough -F/Volumes/Data/EWS/WebKit/WebKitBuild/Release -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/PrivateFrameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/ApplicationServices.framework/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/Carbon.framework/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/Quartz.framework/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/CoreServices.framework/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/PrivateFrameworks -isystem /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/System.framework/PrivateHeaders -include /Volumes/Data/EWS/WebKit/WebKitBuild/PrecompiledHeaders/WebKit2Prefix-drlcjfjgwagogvepbndkemzgsldk/WebKit2Prefix.h -MMD -MT dependencies -MF /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39-mm.d --serialize-diagnostics /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39-mm.dia -c /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-sources/UnifiedSource39-mm.mm -o /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39-mm.o

** BUILD FAILED **


The following build commands failed:
	CompileC /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource28-mm.o /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-sources/UnifiedSource28-mm.mm normal x86_64 objective-c++ com.apple.compilers.llvm.clang.1_0.compiler
(1 failure)

Full output: https://webkit-queues.webkit.org/results/10294079
Comment 23 WebKit Commit Bot 2018-12-06 13:13:37 PST
Comment on attachment 356688 [details]
patch for landing

Rejecting attachment 356688 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01', 'build', '--no-clean', '--no-update', '--build-style=release', '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 5000 characters of output:
NDING -DENABLE_SERVICE_CONTROLS -DENABLE_SERVICE_WORKER -DENABLE_SPEECH_SYNTHESIS -DENABLE_STREAMS_API -DENABLE_WEB_CRYPTO -DENABLE_SVG_FONTS -DENABLE_TELEPHONE_NUMBER_DETECTION -DENABLE_TEXT_AUTOSIZING -DENABLE_USER_MESSAGE_HANDLERS -DENABLE_USERSELECT_ALL -DENABLE_VIDEO -DENABLE_VIDEO_PRESENTATION_MODE -DENABLE_VIDEO_TRACK -DENABLE_VIDEO_USES_ELEMENT_FULLSCREEN -DENABLE_WEB_AUDIO -DENABLE_WEB_AUTHN -DENABLE_WEB_RTC -DENABLE_WEBGL -DENABLE_WEBGL2 -DENABLE_WEBGPU -DENABLE_WEBMETAL -DENABLE_WIRELESS_PLAYBACK_TARGET -DENABLE_XSLT -DENABLE_MANUAL_SANDBOXING -DHAVE_CORE_PREDICTION -DU_HIDE_DEPRECATED_API -DU_DISABLE_RENAMING=1 -DU_SHOW_CPLUSPLUS_API=0 -DFRAMEWORK_NAME=WebKit -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk -fasm-blocks -fstrict-aliasing -Wdeprecated-declarations -Winvalid-offsetof -mmacosx-version-min=10.12 -g -fvisibility=hidden -fvisibility-inlines-hidden -fno-threadsafe-statics -Wno-sign-conversion -Winfinite-recursion -Wmove -iquote /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/WebKit-generated-files.hmap -I/Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/WebKit-own-target-headers.hmap -I/Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/WebKit-all-target-headers.hmap -iquote /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/WebKit-project-headers.hmap -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/include -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/usr/local/include -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/PrivateHeaders/ForwardingHeaders -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2 -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/usr/local/include/WebKitAdditions -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/usr/local/include/WebKitAdditions -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/usr/local/include/webrtc -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/usr/local/include/webrtc -I/Volumes/Data/EWS/WebKit/Source/WebKit -I/Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/DerivedSources/x86_64 -I/Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/DerivedSources -Wall -Wextra -Wcast-qual -Wchar-subscripts -Wextra-tokens -Wformat-security -Winit-self -Wmissing-format-attribute -Wmissing-noreturn -Wno-unused-parameter -Wpacked -Wpointer-arith -Wredundant-decls -Wundef -Wwrite-strings -Wexit-time-destructors -Wglobal-constructors -Wtautological-compare -Wimplicit-fallthrough -F/Volumes/Data/EWS/WebKit/WebKitBuild/Release -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/PrivateFrameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/ApplicationServices.framework/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/Carbon.framework/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/Quartz.framework/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/CoreServices.framework/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/PrivateFrameworks -isystem /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/System.framework/PrivateHeaders -include /Volumes/Data/EWS/WebKit/WebKitBuild/PrecompiledHeaders/WebKit2Prefix-gdyvaafajpxyhyfpzlecadpcekag/WebKit2Prefix.h -MMD -MT dependencies -MF /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39.d --serialize-diagnostics /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39.dia -c /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-sources/UnifiedSource39.cpp -o /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39.o

** BUILD FAILED **


The following build commands failed:
	CompileC /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource28-mm.o /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-sources/UnifiedSource28-mm.mm normal x86_64 objective-c++ com.apple.compilers.llvm.clang.1_0.compiler
(1 failure)

Full output: https://webkit-queues.webkit.org/results/10295535
Comment 24 WebKit Commit Bot 2018-12-06 15:39:33 PST
Comment on attachment 356688 [details]
patch for landing

Rejecting attachment 356688 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'build', '--no-clean', '--no-update', '--build-style=release', '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 5000 characters of output:
DKs/MacOSX10.12.sdk/System/Library/PrivateFrameworks -isystem /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/System.framework/PrivateHeaders -include /Volumes/Data/EWS/WebKit/WebKitBuild/PrecompiledHeaders/WebKit2Prefix-drlcjfjgwagogvepbndkemzgsldk/WebKit2Prefix.h -MMD -MT dependencies -MF /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39-mm.d --serialize-diagnostics /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39-mm.dia -c /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-sources/UnifiedSource39-mm.mm -o /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39-mm.o

** BUILD FAILED **


The following build commands failed:
	CompileC /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource28-mm.o /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-sources/UnifiedSource28-mm.mm normal x86_64 objective-c++ com.apple.compilers.llvm.clang.1_0.compiler
(1 failure)

Failed to run "['Tools/Scripts/build-webkit', '--release']" exit_code: 65
ll-target-headers.hmap -iquote /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/WebKit-project-headers.hmap -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/include -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/usr/local/include -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/WebCore.framework/PrivateHeaders/ForwardingHeaders -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2 -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/usr/local/include/WebKitAdditions -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/usr/local/include/WebKitAdditions -I/Volumes/Data/EWS/WebKit/WebKitBuild/Release/usr/local/include/webrtc -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/usr/local/include/webrtc -I/Volumes/Data/EWS/WebKit/Source/WebKit -I/Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/DerivedSources/x86_64 -I/Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/DerivedSources -Wall -Wextra -Wcast-qual -Wchar-subscripts -Wextra-tokens -Wformat-security -Winit-self -Wmissing-format-attribute -Wmissing-noreturn -Wno-unused-parameter -Wpacked -Wpointer-arith -Wredundant-decls -Wundef -Wwrite-strings -Wexit-time-destructors -Wglobal-constructors -Wtautological-compare -Wimplicit-fallthrough -F/Volumes/Data/EWS/WebKit/WebKitBuild/Release -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/PrivateFrameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/ApplicationServices.framework/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/Carbon.framework/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/Quartz.framework/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/CoreServices.framework/Frameworks -iframework /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/PrivateFrameworks -isystem /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/System.framework/PrivateHeaders -include /Volumes/Data/EWS/WebKit/WebKitBuild/PrecompiledHeaders/WebKit2Prefix-drlcjfjgwagogvepbndkemzgsldk/WebKit2Prefix.h -MMD -MT dependencies -MF /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39-mm.d --serialize-diagnostics /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39-mm.dia -c /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-sources/UnifiedSource39-mm.mm -o /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource39-mm.o

** BUILD FAILED **


The following build commands failed:
	CompileC /Volumes/Data/EWS/WebKit/WebKitBuild/WebKit.build/Release/WebKit.build/Objects-normal/x86_64/UnifiedSource28-mm.o /Volumes/Data/EWS/WebKit/WebKitBuild/Release/DerivedSources/WebKit2/unified-sources/UnifiedSource28-mm.mm normal x86_64 objective-c++ com.apple.compilers.llvm.clang.1_0.compiler
(1 failure)

Full output: https://webkit-queues.webkit.org/results/10296999
Comment 25 chris fleizach 2018-12-06 16:33:40 PST
@Ryan

Any idea how to fix. the Xcode re-ordering is due to moving files to another directory location
Comment 26 Ryan Haddad 2018-12-06 16:38:45 PST
*** Bug 192479 has been marked as a duplicate of this bug. ***
Comment 27 chris fleizach 2018-12-06 16:48:33 PST
Created attachment 356766 [details]
patch for landing
Comment 28 Build Bot 2018-12-06 16:52:11 PST
Attachment 356766 [details] did not pass style-queue:


ERROR: Source/WebKit/Platform/spi/ios/AccessibilitySupportSPI.h:42:  _AXSFullKeyboardAccessEnabled is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Total errors found: 1 in 10 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 29 chris fleizach 2018-12-07 00:09:58 PST
Created attachment 356786 [details]
patch for landing
Comment 30 chris fleizach 2018-12-07 00:26:11 PST
Created attachment 356787 [details]
patch for landing
Comment 31 Build Bot 2018-12-07 00:27:34 PST
Attachment 356787 [details] did not pass style-queue:


ERROR: Source/WebKit/Platform/spi/ios/AccessibilitySupportSPI.h:42:  _AXSFullKeyboardAccessEnabled is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Total errors found: 1 in 10 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 32 chris fleizach 2018-12-07 07:33:27 PST
Created attachment 356809 [details]
patch for landing
Comment 33 Build Bot 2018-12-07 07:34:58 PST
Attachment 356809 [details] did not pass style-queue:


ERROR: Source/WebKit/Platform/spi/ios/AccessibilitySupportSPI.h:42:  _AXSFullKeyboardAccessEnabled is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Total errors found: 1 in 10 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 34 chris fleizach 2018-12-07 13:52:27 PST
Created attachment 356833 [details]
patch for landing
Comment 35 Build Bot 2018-12-07 13:54:52 PST
Attachment 356833 [details] did not pass style-queue:


ERROR: Source/WebKit/Platform/spi/ios/AccessibilitySupportSPI.h:42:  _AXSFullKeyboardAccessEnabled is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Total errors found: 1 in 59 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 36 chris fleizach 2018-12-07 15:57:07 PST
Created attachment 356849 [details]
patch for landing
Comment 37 Build Bot 2018-12-07 16:00:00 PST
Attachment 356849 [details] did not pass style-queue:


ERROR: Source/WebKit/Platform/spi/ios/AccessibilitySupportSPI.h:42:  _AXSFullKeyboardAccessEnabled is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Total errors found: 1 in 58 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 38 chris fleizach 2018-12-07 16:46:02 PST
Created attachment 356852 [details]
patch for landing
Comment 39 Build Bot 2018-12-07 16:49:27 PST
Attachment 356852 [details] did not pass style-queue:


ERROR: Source/WebKit/Platform/spi/ios/AccessibilitySupportSPI.h:42:  _AXSFullKeyboardAccessEnabled is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Total errors found: 1 in 61 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 40 chris fleizach 2018-12-10 11:44:44 PST
Created attachment 356975 [details]
patch
Comment 41 Build Bot 2018-12-10 11:47:51 PST
Attachment 356975 [details] did not pass style-queue:


ERROR: Source/WebKit/Platform/spi/ios/AccessibilitySupportSPI.h:42:  _AXSFullKeyboardAccessEnabled is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Total errors found: 1 in 8 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 42 chris fleizach 2018-12-10 13:02:14 PST
Created attachment 356986 [details]
patch
Comment 43 Build Bot 2018-12-10 13:04:38 PST
Attachment 356986 [details] did not pass style-queue:


ERROR: Source/WebKit/Platform/spi/ios/AccessibilitySupportSPI.h:42:  _AXSFullKeyboardAccessEnabled is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Total errors found: 1 in 9 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 44 WebKit Commit Bot 2018-12-10 23:21:01 PST
Comment on attachment 356986 [details]
patch

Rejecting attachment 356986 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'apply-attachment', '--no-update', '--non-interactive', 356986, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Logging in as commit-queue@webkit.org...
Fetching: https://bugs.webkit.org/attachment.cgi?id=356986&action=edit
Fetching: https://bugs.webkit.org/show_bug.cgi?id=192373&ctype=xml&excludefield=attachmentdata
Processing 1 patch from 1 bug.
Processing patch 356986 from bug 192373.
Fetching: https://bugs.webkit.org/attachment.cgi?id=356986
Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Parsed 11 diffs from patch file(s).
patching file Source/WebKit/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebKit/Platform/spi/ios/AccessibilitySupportSPI.h
patching file Source/WebKit/PlatformMac.cmake
patching file Source/WebKit/SourcesCocoa.txt
patching file Source/WebKit/UIProcess/Cocoa/WKFullKeyboardAccessWatcher.h
patching file Source/WebKit/UIProcess/Cocoa/WKFullKeyboardAccessWatcher.mm
patching file Source/WebKit/UIProcess/ios/WebProcessProxyIOS.mm
patching file Source/WebKit/UIProcess/mac/WKFullKeyboardAccessWatcher.h
rm 'Source/WebKit/UIProcess/mac/WKFullKeyboardAccessWatcher.h'
patching file Source/WebKit/UIProcess/mac/WKFullKeyboardAccessWatcher.mm
rm 'Source/WebKit/UIProcess/mac/WKFullKeyboardAccessWatcher.mm'
patching file Source/WebKit/WebKit.xcodeproj/project.pbxproj
patching file Source/WebKit/UIProcess/API/C/WKContext.cpp
Hunk #1 FAILED at 60.
Hunk #2 FAILED at 187.
Hunk #3 FAILED at 229.
Hunk #4 FAILED at 253.
Hunk #5 FAILED at 307.
5 out of 5 hunks FAILED -- saving rejects to file Source/WebKit/UIProcess/API/C/WKContext.cpp.rej

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: https://webkit-queues.webkit.org/results/10348295
Comment 45 chris fleizach 2018-12-10 23:23:29 PST
Created attachment 357037 [details]
patch
Comment 46 Build Bot 2018-12-10 23:25:37 PST
Attachment 357037 [details] did not pass style-queue:


ERROR: Source/WebKit/Platform/spi/ios/AccessibilitySupportSPI.h:42:  _AXSFullKeyboardAccessEnabled is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Total errors found: 1 in 8 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 47 chris fleizach 2018-12-16 14:34:01 PST
Created attachment 357421 [details]
patch
Comment 48 Build Bot 2018-12-16 14:37:06 PST
Attachment 357421 [details] did not pass style-queue:


ERROR: Source/WebKit/Platform/spi/ios/AccessibilitySupportSPI.h:42:  _AXSFullKeyboardAccessEnabled is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
ERROR: Source/WebKit/UIProcess/Cocoa/WKFullKeyboardAccessWatcher.mm:55:  Misplaced OS version check. Please use a named macro in wtf/Platform.h or wtf/FeatureDefines.h.  [build/version_check] [5]
ERROR: Source/WebKit/UIProcess/Cocoa/WKFullKeyboardAccessWatcher.mm:92:  Misplaced OS version check. Please use a named macro in wtf/Platform.h or wtf/FeatureDefines.h.  [build/version_check] [5]
Total errors found: 3 in 8 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 49 Daniel Bates 2018-12-16 14:53:13 PST
Out of curiosity, how are focused controls drawn? I don’t recall that we have focus rings in iOS (at least drawn by WebCore).
Comment 50 chris fleizach 2018-12-16 16:16:35 PST
(In reply to Daniel Bates from comment #49)
> Out of curiosity, how are focused controls drawn? I don’t recall that we
> have focus rings in iOS (at least drawn by WebCore).

Still waiting on design...
Comment 51 WebKit Commit Bot 2018-12-16 16:44:30 PST
Comment on attachment 357421 [details]
patch

Clearing flags on attachment: 357421

Committed r239262: <https://trac.webkit.org/changeset/239262>
Comment 52 WebKit Commit Bot 2018-12-16 16:44:32 PST
All reviewed patches have been landed.  Closing bug.
Comment 53 David Kilzer (:ddkilzer) 2018-12-17 11:17:59 PST
(In reply to WebKit Commit Bot from comment #51)
> Comment on attachment 357421 [details]
> patch
> 
> Clearing flags on attachment: 357421
> 
> Committed r239262: <https://trac.webkit.org/changeset/239262>

Attempt to fix pre-Mojave internal builds:

Committed r239276: <https://trac.webkit.org/changeset/239276>
Comment 54 chris fleizach 2018-12-17 11:19:33 PST
(In reply to David Kilzer (:ddkilzer) from comment #53)
> (In reply to WebKit Commit Bot from comment #51)
> > Comment on attachment 357421 [details]
> > patch
> > 
> > Clearing flags on attachment: 357421
> > 
> > Committed r239262: <https://trac.webkit.org/changeset/239262>
> 
> Attempt to fix pre-Mojave internal builds:
> 
> Committed r239276: <https://trac.webkit.org/changeset/239276>

this being worked on in

https://bugs.webkit.org/attachment.cgi?id=357450&action=review

tying the FKA stuff to AX events probably not correct since they're different features